Bug 135775 - urlgrabber of yum gives traceback
urlgrabber of yum gives traceback
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 19:31 EDT by Sertaç Ö. Yıldız
Modified: 2014-01-21 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.1.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 01:43:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full traceback (1.86 KB, text/plain)
2004-10-15 10:51 EDT, Okke Timm
no flags Details
my traceback with -d 6 (14.10 KB, text/plain)
2004-10-15 11:14 EDT, Sertaç Ö. Yıldız
no flags Details

  None (edit)
Description Sertaç Ö. Yıldız 2004-10-14 19:31:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041008
Firefox/0.10.1

Description of problem:
the last line of the traceback tells it all i guess..

if i give a quite long list of packages to update, an IOError occurs
and there's possibly a typo in the exception handling code.

Version-Release number of selected component (if applicable):
yum-2.1.7-2

How reproducible:
Always

Steps to Reproduce:
1.use yum update to update a couple of packages
2.get a traceback
3.
    

Actual Results:  Last few lines of the traceback:

  File "/usr/lib/python2.3/site-packages/urlgrabber/grabber.py", line
749, in _do_open
    fo, hdr = self._make_request(req, opener)
  File "/usr/lib/python2.3/site-packages/urlgrabber/grabber.py", line
832, in _make_request
    if isinstance(e.reason, TimeoutError):
AttributeError: IOError instance has no attribute 'reason'


Expected Results:  no traceback and a user-friendly error message if
an error occured

Additional info:
Comment 1 Okke Timm 2004-10-15 10:51:42 EDT
Created attachment 105275 [details]
full traceback
Comment 2 Sertaç Ö. Yıldız 2004-10-15 11:14:44 EDT
Created attachment 105276 [details]
my traceback with -d 6
Comment 3 Ryan Tomayko 2004-10-15 17:34:36 EDT
Thanks for the reports. 

This bug was introduced with the new timeout functionality. Should be a simple fix. 

I will push something over to Seth, who can push something over to Jeremy, tonight.
Comment 4 Bill Nottingham 2004-10-18 01:43:40 EDT
Fixed in 2.1.8-1.

Note You need to log in before you can comment on or make changes to this bug.